> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Info > Used to get info on a user profile. Further information on user profiles, device profiles and attributes can be found in the [guide on user data](https://docs.xtremepush.com/docs/users). ## OpenAPI ````json POST /info/profile { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/info/profile": { "post": { "summary": "Info", "description": "Used to get info on a user profile.\n\nFurther information on user profiles, device profiles and attributes can be found in the [guide on user data](https://docs.xtremepush.com/docs/users).", "operationId": "user-profile-info", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App Token" }, "id": { "type": "string", "description": "The profile ID of the profile you are looking for" }, "select": { "type": "array", "description": "Select what attributes to return, eg. `[\"id\", \"project_id\", \"user_id\", \"email\", \"email_addressable\"]`", "items": { "type": "string" } } } }, "examples": { "Return ID, email and email addressable attributes": { "value": { "apptoken": "YOUR_APPTOKEN", "id": "PROFILE_ID", "select": [ "id", "email", "email_addressable" ] } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "model": { "type": "object", "properties": { "id": { "type": "string", "example": "example_id" }, "email": { "type": "string", "example": "user1email@example.com" }, "email_addressable": { "type": "integer", "example": "1", "default": "0" } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "model": { "id": "example_id", "email": "user1email@example.com", "email_addressable": "1" } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } }, "404": { "description": "404", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "404", "default": "0" }, "message": { "type": "string", "example": "Not Found" } } }, "examples": { "Result": { "value": { "success": "false", "code": "404", "message": "Not Found" } } } } } } }, "tags": [ "User Profile Methods" ] } } } } ````